package com.njcn.harmonic.pojo.param;

import com.njcn.web.pojo.param.BaseParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

/**
 * 有功功率趋势统计 查询实体类
 * @author guofeihu
 * @since 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PowerStatisticsParam extends BaseParam {

    @ApiModelProperty("监测点ID")
    @NotBlank(message = "监测点ID不能为空")
    private String lineId;

    @ApiModelProperty("指标分类ID(用于查询指标详细数据的指标分类ID)")
    private String statisticalId;

    @ApiModelProperty("指标分类ID(用于查询指标详细数据的指标分类ID)")
    private String code;

    @ApiModelProperty("区间字段(用于查询指标越限列表)")
    private String field;

    @ApiModelProperty("区间1时间集合")
    private List<String> time0 = new ArrayList<>();

    @ApiModelProperty("区间2时间集合")
    private List<String> time1 = new ArrayList<>();

    @ApiModelProperty("区间3时间集合")
    private List<String> time2 = new ArrayList<>();

    @ApiModelProperty("区间4时间集合")
    private List<String> time3 = new ArrayList<>();

    @ApiModelProperty("区间5时间集合")
    private List<String> time4 = new ArrayList<>();

    @ApiModelProperty("区间6时间集合")
    private List<String> time5 = new ArrayList<>();

    @ApiModelProperty("区间7时间集合")
    private List<String> time6 = new ArrayList<>();

    @ApiModelProperty("区间8时间集合")
    private List<String> time7 = new ArrayList<>();

    @ApiModelProperty("区间9时间集合")
    private List<String> time8 = new ArrayList<>();

    @ApiModelProperty("区间10时间集合")
    private List<String> time9 = new ArrayList<>();

}
